BDU:2022-04572: Уязвимость компонента edit.c текстового редактора Vim, позволяющая нарушителю выполнить произвольный код в целевой системе

Описание уязвимости Уязвимость компонента edit.c текстового редактора Vim связана с чтением за границами памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код в целевой системе
Вендор ООО «РусБИТех-Астра», Fedora Project, ООО «Ред Софт», ФССП России, Сообщество свободного программного обеспечения
Наименование ПО Astra Linux Special Edition (запись в едином реестре российских программ №369), Fedora, РЕД ОС (запись в едином реестре российских программ №3751), ОС ТД АИС ФССП России, vim
Версия ПО
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 35 (Fedora)
  • 7.3 (РЕД ОС)
  • ИК6 (ОС ТД АИС ФССП России)
  • 36 (Fedora)
  • до 8.2.5160 (vim)
  • 4.7 (Astra Linux Special Edition)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Чтение за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 26.06.2022
Базовый вектор уязвимости
Уровень опасности уязвимости Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование ресурсами
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения